
/**********************************************************************
  $Id: data_manager/Mutex.java, v 1.0 1999/12/17 $


  NIAGARA -- Net Data Management System                                 
                                                                        
  Copyright (c)    Computer Sciences Department, University of          
                       Wisconsin -- Madison                             
  All Rights Reserved.                                                  
                                                                        
  Permission to use, copy, modify and distribute this software and      
  its documentation is hereby granted, provided that both the           
  copyright notice and this permission notice appear in all copies      
  of the software, derivative works or modified versions, and any       
  portions thereof, and that both notices appear in supporting          
  documentation.                                                        
                                                                        
  THE AUTHORS AND THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY    
  OF WISCONSIN - MADISON ALLOW FREE USE OF THIS SOFTWARE IN ITS "        
  AS IS" CONDITION, AND THEY DISCLAIM ANY LIABILITY OF ANY KIND         
  FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.   
                                                                        
  This software was developed with support by DARPA through             
   Rome Research Laboratory Contract No. F30602-97-2-0247.  
**********************************************************************/


/** Niagra, DataManager
  */

/** <code>Mutex</code> is Mutex implemented by using
  * Java's built in Monitor.
  */
package niagara.data_manager;
class Mutex {
    private volatile boolean inMutex;
 
    Mutex() {
        inMutex = false;
    }
    
    public synchronized void lock() {
        while(inMutex) {
            try { 
                wait();
            } catch(InterruptedException ie) {
                System.err.println("Mutex Wait Interrupted");
            }
        }
        inMutex = true;
    }
    public synchronized void unlock() {
        inMutex = false;
        notifyAll();
    }
}

